Subject: RE: IESG commet on draft-ietf-trade-iotp-v1.0-papi-05/06

From: Eastlake III Donald-LDE008 <[email-masked]>
Date: Wed, 24 Mar 2004 16:34:21 -0500

Hi,

Yes, those looks like exactly the right changes. I will post the draft and notify our new area director, Scott Hollenbeck. We will see if there are any other objections but I hope that with this change it can be approved quickly.

Thanks,
Donald
===========================================================
 Donald E. Eastlake III       [email-masked]
 Motorola Laboratories               1-508-786-7554 (work)
 111 Locke Drive                     1-508-634-2066 (home)
 Marlboro, MA 01752 USA

-----Original Message-----
From: Masaaki Hiroya [mailto:[email-masked]] 
Sent: Tuesday, March 23, 2004 9:23 PM
To: Eastlake III Donald-LDE008
Cc: [email-masked]; [email-masked]
Subject: Re: IESG commet on draft-ietf-trade-iotp-v1.0-papi-05

Hello Mr. Eastlake

I'm not sure how I should respond to the IESG comment on I-D draft,
but I attached the updated version of I-D draft.

The updated parts are as follows:

(OLD)(draft-ietf-trade-iotp-v1.0-papi-05)
    MerchantData        Any merchant related data that might be
                        used by the IOTP Payment Bridge for
                        different purposes, e.g., it might
                        contain access keys to some mall keys.
                                       ~~~~~~~~~~~~~~~~~~~~~~~
                        Its declaration coincides with the
                        Packaged Content's declaration (cf. IOTP
                        Specification).

(NEW)(draft-ietf-trade-iotp-v1.0-papi-06)
    MerchantData        Any merchant related data that might be
                        used by the IOTP Payment Bridge for
                        different purposes, e.g., it might
                        contain IDs to access some mall data,
                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        but not cryptographic keys. Its Packaged
                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        declaration coincides with the Content's
                        declaration (cf. IOTP Specification).

I think this correction covers the IESG comment.

Besides, I updated the Author's Address section as follows:

(OLD)
         Yoshiaki Kawatsura
         Hitachi, Ltd.
         890 Kashimada Saiwai-ku Kawasaki-shi
         Kanagawa, Japan 212-8567
         E-mail: [email-masked]
(NEW)
         Yoshiaki Kawatsura
         Hitachi, Ltd.
         890 Kashimada Saiwai-ku Kawasaki-shi
         Kanagawa, Japan 212-8567
         E-mail: [email-masked]
                 ~~~~~~~~~~~~~~~~~~~~~~~~~~

(OLD)
         Masaaki Hiroya
         Technoinfo Service, Inc.
         1155-6-206 Ichigao-cho
         Aoba-ku, Yokohama
         Kanagawa 225-0024 JAPAN
         Phone: +81-45-978-4522
         Email: [email-masked]
(NEW)
         Masaaki Hiroya
         Technoinfo Service, Inc.
         333-2-718 Uchikoshi-machi
         ~~~~~~~~~~~~~~~~~~~~~~~~~~
         Hachioji-shi
         ~~~~~~~~~~~~
         Tokyo 192-0911 JAPAN
         ~~~~~~~~~~~~~~~~~~~~
         Email: [email-masked]

If there is something else I should do, please let me know.

Best Regards
Masaaki

At 04/03/16 14:06, Eastlake III Donald-LDE008 wrote:
 >The IESG has provided the following comment on
 >       draft-ietf-trade-iotp-v1.0-papi-05
 >
 >"The use of MerchantData makes me nervous.  The level of abstraction makes
 >it difficult to tell, but I think that MerchantData can contain plaintext
 >cryptographic keys, which would be very poor design."
 >
 >We need to respond to this comment.

-----
Masaaki Hiroya
[email-masked]